Barcode2DWithSoft.ScanerPropertyNum

com.zebra.adc.decoder

## Class Barcode2DWithSoft.ScanerPropertyNum

- java.lang.Object
- - com.zebra.adc.decoder.Barcode2DWithSoft.ScanerPropertyNum

- Enclosing class:
    Barcode2DWithSoft

      public static class Barcode2DWithSoft.ScanerPropertyNum
      extends java.lang.Object

  扫描头属性编号(只支持mot扫描头)
  Scanning module property code( supports MOTO module only)
  Author:
    liuruifeng

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BTLD_FW_VER` Property number used to get the firmware Bootloader version string
    `static int` | `ENGINE_VER` Property number used to get the Scan Engine version string
    `static int` | `HORIZONTAL_RES` Property number used to get the scanner's horizontal resolution
    `static int` | `IMGKIT_VER` Property number used to get the Image Kit version string
    `static int` | `MAX_FRAME_BUFFER_SIZE` Property number used to get the maximum buffer size required for a frame
    `static int` | `MODEL_NUMBER` Property number used to get the scanner model number string
    `static int` | `SDL_VER` Property number used to get the SDL version string
    `static int` | `SERIAL_NUM` Property number used to get the scanner serial number string
    `static int` | `VERTICAL_RES` Property number used to get the scanner's vertical resolution

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerPropertyNum()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODEL_NUMBER

          public static final int MODEL_NUMBER

      Property number used to get the scanner model number string
      See Also:
        Constant Field Values

    - #### SERIAL_NUM

          public static final int SERIAL_NUM

      Property number used to get the scanner serial number string
      See Also:
        Constant Field Values

    - #### MAX_FRAME_BUFFER_SIZE

          public static final int MAX_FRAME_BUFFER_SIZE

      Property number used to get the maximum buffer size required for a frame
      See Also:
        Constant Field Values

    - #### HORIZONTAL_RES

          public static final int HORIZONTAL_RES

      Property number used to get the scanner's horizontal resolution
      See Also:
        Constant Field Values

    - #### VERTICAL_RES

          public static final int VERTICAL_RES

      Property number used to get the scanner's vertical resolution
      See Also:
        Constant Field Values

    - #### IMGKIT_VER

          public static final int IMGKIT_VER

      Property number used to get the Image Kit version string
      See Also:
        Constant Field Values

    - #### ENGINE_VER

          public static final int ENGINE_VER

      Property number used to get the Scan Engine version string
      See Also:
        Constant Field Values

    - #### BTLD_FW_VER

          public static final int BTLD_FW_VER

      Property number used to get the firmware Bootloader version string
      See Also:
        Constant Field Values

    - #### SDL_VER

          public static final int SDL_VER

      Property number used to get the SDL version string
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScanerPropertyNum

          public ScanerPropertyNum()